<script>
	var buttonText = "<?= __('video_voting_button_text'); ?>";
	var buttonTextVoted = "<?= __('video_voting_button_voted_text'); ?>";
</script>
<? $pages_count = ceil($this->photos_count / $this->photos_perPage); ?>

<? $vac = $this->escort->getVacation(); ?>
<? if ( strtotime($vac->vac_date_from ) <= strtotime(date('Y-m-d')) &&  strtotime($vac->vac_date_to ) >= strtotime(date('Y-m-d')) ): ?>
	<div class="top_msg">
		<?= $this->t('vacations_currently_date', array('DATE' => date("d M Y", strtotime($vac->vac_date_to)))) ?>
	</div>
<? endif; ?>

<? if ( $this->escort->isSuspicious() ): ?>
<div style="text-align:center;"><img src="/img/v2.1/suspicious_<?= $this->lang() ?>.png" alt="" /></div>
<? elseif ( $this->escort->isVerified() ): ?>
<div style="text-align:center;"><img src="/img/v2.1/verified_<?= $this->lang() ?>.png" alt="" /></div>
<? else: ?>
<div class="mb45"></div>
<? endif; ?>

<? if ( $this->allowChat() && $this->online_status ): ?>
	<table>
		<tr>
			<td>
				<? if (Model_Users::getCurrent()): ?>
					<a href="javascript:;" onClick="jqac.arrowchat.chatWith('<?= $this->escort_user_id ?>');" class="<?= $this->lang() ?>_chat_with_me"></a>
				<? else: ?>
					<a href="#" class="<?= $this->lang() ?>_chat_with_me chat_login"></a>
				<? endif; ?>
			</td>
		</tr>
	</table>
<? endif; ?>

<? if ( $this->allowChat2() && $this->online_status ): ?>
	<table>
		<tr>
			<td>
				<? if (Model_Users::getCurrent()): ?>
					<a href="javascript:;" onClick="chat.chatWith('<?= $this->escort_user_id ?>');" class="<?= $this->lang() ?>_chat_with_me"></a>
				<? else: ?>
					<a href="#" class="<?= $this->lang() ?>_chat_with_me chat_login"></a>
				<? endif; ?>
			</td>
		</tr>
	</table>
<? endif; ?>

<div id="gallery">
	<? if(isset($this->video_id)):?>
		<?php 
			$video_ids = array_map(function($v) {
				return $v->video_id;
			}, Model_Video::getTopVideos());

			$in_top_5 = in_array($this->video_id, $video_ids);
		?>
		<div id="my_video">
			<?php /*
			<?php if ($in_top_5) : ?>
			   <div class="ribbon"><span>TOP 5</span></div>
			<?php endif; ?>
			*/?>

			<div class="video_overlay">
                <div id="video-play-wrapper">
                    <img src="<?= $this->gallery_video?>" width="400" class="video-img"/>
                    <div class="page_play_btn"><?=__('play_video')?></div>
                </div>
			</div>
            <div class="contents">
                <div id="video-modal"></div>
            </div>
		</div>
		<input type="hidden" id="img" value="<?= $this->photo_video ?>" />
		<input type="hidden" id="config" value="<?= $this->video ?>" />
		<input type="hidden" id="videoId" value="<?= $this->video_id ?>" />
		<input type="hidden" id="prop" value="<?= $this->vwidth ?>-<?= $this->vheight ?>" />
	<?endif;?>
	
	<? if( count($this->photos) ): ?>
		<? foreach( $this->photos as $k => $photo ): ?>		
		<? 
			$width = 500; $height = 375;
			if ( $photo->is_portrait ) { $width = 400; $height = 600; }
			
			$noclick = false;
			if ( $photo->width < $width ) {
				$noclick = true;
			}
			else if ( 100 - ( ($width / $photo->width ) * 100) < 30 ) {
				$noclick = true;
			}
		?>
		<div class="w<?= $width ?>">
			<img alt="" <?= ( $noclick ) ? 'class="noclick"' : '' ?> width="<?= $width ?>" height="<?= $height ?>" src="<?= ( $photo->is_portrait ) ? $photo->getUrl('pp') : $photo->getUrl('pl') ?>" />
			<?= ( $noclick ) ? '' : '<span class="lupa"></span>' ?>
		</div>	
		<? endforeach; ?>
		
		<div class="more-photos">
			<? if( $pages_count > 1 ): ?>
			<br/><a href="#" class="load-more" rel="<?= $this->photos_page + 1 ?>"><?= __('load_more_photos') ?></a>
			<? endif; ?>
		</div>
	<? endif; ?>
</div>

<div id="setcard-actions">
	<a href="#" rel="<?= $this->getLink('report-problem',array('escort_id' => $this->escort->id )) ?>" class="report-problem"><img  src="/img/v2.1/report_<?= $this->lang() ?>.png" alt="" /></a>
	<a href="#" rel="<?= $this->getLink('tell-friend') ?>" class="tell-friend"><?= __('tell_friend') ?></a>
	<div class="clear"></div>
</div>

<div class="clear"></div>